package ex03;

import java.util.Scanner;

public class GerenciaCliente {
	private int posi, op, n = 200;
	private Cliente clientes[] = new Cliente[n];
	Scanner ler = new Scanner(System.in);

	public void inserir_cliente() {
		// Procurando posição vazia do vetor.
		posi = 0;
		while ((posi < clientes.length) && (clientes[posi] != null)) {
			posi++;
		}
		
		if (posi > (clientes.length - 1)) {
			System.out.println("Vetor cheio.");
		}
		else{
			Cliente cli = new Cliente();
			Endereco end = new Endereco();
			
			System.out.println("Informe o CPF do cliente: ");
			cli.setCpf(ler.next());
			System.out.println("Informe o nome do cliente: ");
			cli.setNome(ler.next());
			System.out.println("Informe o data da compra: ");
			cli.setData(ler.nextInt());
			//ler.skip("\n");
			System.out.println("Informe o valor da compra: ");
			cli.setValor(ler.nextFloat());
			
			System.out.println("==Informe o endereço de entrega==");
			//pulando para numero??
			System.out.println("Lagradouro: ");
			end.setLagradouro(ler.next());
			System.out.println("Número: ");
			end.setNumero(ler.nextInt());
			//ler.skip("\n");
			System.out.println("Complemento: ");
			end.setComplemento(ler.next());
			System.out.println("Bairro: ");
			end.setBairro(ler.next());
			System.out.println("Município: ");
			end.setMunicipio(ler.next());
			System.out.println("Estado: ");
			end.setEstado(ler.next());
			System.out.println("CEP: ");
			end.setCep(ler.next());
			System.err.println("Endereço de cobrança é o mesmo de entrega? 1-SIM 2-NÃO ");
			op = ler.nextInt();
			//ler.skip("\n");
			if (op == 1) {
				cli.setEnd_entrega(end);
				cli.setEnd_cobra(end);
			} else {
				cli.setEnd_entrega(end);
				
				end = new Endereco();
				System.out.println("Informe o endereço de cobrança: ");
				System.out.println("Lagradouro: ");
				end.setLagradouro(ler.next());
				System.out.println("Número: ");
				end.setNumero(ler.nextInt());
		//		ler.skip("\n");
				System.out.println("Complemento: ");
				end.setComplemento(ler.next());
				System.out.println("Bairro: ");
				end.setBairro(ler.next());
				System.out.println("Município: ");
				end.setMunicipio(ler.next());
				System.out.println("Estado: ");
				end.setEstado(ler.next());
				System.out.println("CEP: ");
				end.setCep(ler.next());
				
				cli.setEnd_cobra(end);
			}
			clientes[posi] = cli;
		}
	}

	public void excluir() {
		System.out.println("Informe a posição do cliente que deseja excluir: ");
		posi = ler.nextInt();
		
		if ((posi >= 0) && (posi < clientes.length) && (clientes[posi] == null)) {
			System.out.println("Cliente não encontrado!");
		} else {
			// Mostra na tela o cliente que está na posição escolhida.
			imprime_cliente(posi);

			System.err.println("Confirma cliente? 1 - SIM 2 - NÃO");
			op = ler.nextInt();
			if (op == 1) {
				clientes[posi] = null;
				System.err.println("Cliente Excluído!");
			} 
			else{ 
				if (op == 2) {
					System.err.println("Exclusão não confirmada!");
				} 
				else {
					System.out.println("Opção Inválida!");
				}
			}
		}
	}

	public void alterar() {
		System.out.println("Informe a posiçãoo do cliente que deseja alterar: ");
		posi = ler.nextInt();
		
		// Testa se a posição é válida e se existe cliente na posição.
		if ((posi >= 0) && (posi < clientes.length) && (clientes[posi] == null)) {
			System.err.println("Cliente não encontrado!");
		} else {
			// Exibe os dados do cliente.
			imprime_cliente(posi);

			System.err.println("Confirma cliente? 1 - SIM 2 - NÃO");
			op = ler.nextInt();
			if (op == 1) {
								
				System.out.println("Informe o CPF do cliente: ");
				clientes[posi].setCpf(ler.next());
				System.out.println("Informe o nome do cliente: ");
				clientes[posi].setNome(ler.next());
				System.out.println("Informe o data da compra: ");
				clientes[posi].setData(ler.nextInt());
				
				System.out.println("Informe o valor da compra: ");
				clientes[posi].setValor(ler.nextFloat());
				
				// Endereço de entrega.
				System.out.println("Informe o endereço de entrega: ");
				System.out.println("Lagradouro: ");
				clientes[posi].getEnd_entrega().setLagradouro(ler.next());
				System.out.println("Número: ");
				clientes[posi].getEnd_entrega().setNumero(ler.nextInt());
				System.out.println("Complemento: ");
				clientes[posi].getEnd_entrega().setComplemento(ler.next());
				System.out.println("Bairro: ");
				clientes[posi].getEnd_entrega().setBairro(ler.next());
				System.out.println("Município: ");
				clientes[posi].getEnd_entrega().setMunicipio(ler.next());
				System.out.println("Estado: ");
				clientes[posi].getEnd_entrega().setEstado(ler.next());
				System.out.println("CEP: ");
				clientes[posi].getEnd_entrega().setCep(ler.next());
				
				System.err.println("Endereço de cobrança é o mesmo de entrega? 1-SIM 2-NÃO ");
				op = ler.nextInt();
				if (op == 1) {
					clientes[posi].setEnd_cobra(clientes[posi].getEnd_entrega());
				} else {
					Endereco end;
					
					if(clientes[posi].getEnd_entrega() == clientes[posi].getEnd_cobra()){
						end = new Endereco();
						clientes[posi].setEnd_cobra(end);
					}
					else{
						end = clientes[posi].getEnd_cobra();
					}
						
					System.out.println("Informe o endereço de cobrança: ");
					System.out.println("Lagradouro: ");
					end.setLagradouro(ler.next());
					System.out.println("Número: ");
					end.setNumero(ler.nextInt());
					System.out.println("Complemento: ");
					end.setComplemento(ler.next());
					System.out.println("Bairro: ");
					end.setBairro(ler.next());
					System.out.println("Município: ");
					end.setMunicipio(ler.next());
					System.out.println("Estado: ");
					end.setEstado(ler.next());
					System.out.println("CEP: ");
					end.setCep(ler.next());
				}
			}
		}
	}

	public void imprime_cliente(int posi) {
		System.err.println("CPF: " + clientes[posi].getCpf());
		System.err.println("Nome: " + clientes[posi].getNome());
		System.err.println("Valor: " + clientes[posi].getValor());
		System.err.println("Data: " + clientes[posi].getData());
		System.err.println("===Endereço de Entrega===");
		System.err.println("Lagradouro: " + clientes[posi].getEnd_entrega().getLagradouro());
		System.err.println("Número: " + clientes[posi].getEnd_entrega().getNumero());
		System.err.println("Complemento: " + clientes[posi].getEnd_entrega().getComplemento());
		System.err.println("Bairro: " + clientes[posi].getEnd_entrega().getBairro());
		System.err.println("Municipio: " + clientes[posi].getEnd_entrega().getMunicipio());
		System.err.println("Estado: " + clientes[posi].getEnd_entrega().getEstado());
		System.err.println("CEP: " + clientes[posi].getEnd_entrega().getCep());
		System.err.println("=====Endereço de Cobrança=====");
		System.err.println("Lagradouro: " + clientes[posi].getEnd_cobra().getLagradouro());
		System.err.println("Número: " + clientes[posi].getEnd_cobra().getNumero());
		System.err.println("Complemento: " + clientes[posi].getEnd_cobra().getComplemento());
		System.err.println("Bairro: " + clientes[posi].getEnd_cobra().getBairro());
		System.err.println("Município: " + clientes[posi].getEnd_cobra().getMunicipio());
		System.err.println("Estado: " + clientes[posi].getEnd_cobra().getEstado());
		System.err.println("CEP: " + clientes[posi].getEnd_cobra().getCep());
	}

	public void relatorio_cliente() {
		for (int i = 0; i < clientes.length; i++) {
			if (clientes[i] != null) {
				imprime_cliente(i);
			}
		}
	}
}